;;; -*- mode: LISP; package: CL-USER -*-

(in-package :cl-user)


(defpackage #:clones
  (:use #:common-lisp)
  (:export
   ;; vars
   #:*field-width*
   #:*field-height*
   #:*cell-width*
   #:*cell-height*
   #:*colors*
   #:*highlight-colors*                 ; should these
   #:+color-count+                      ; be exported?
   #:*pixmap-theme-dir*
   #:*pixmap-image-names*

   ;; field
   #:field #:field-width #:field-height
   #:cell-at
   #:moves-left-p
   #:field-empty-p
   #:region-at
   #:remove-cells
   #:normalize-field
   #:cell-in-list-p
   #:set-region-highlight
   ;; scores
   #:score #:amount #:date #:name
   #:read-scores
   #:write-scores
   ;; cell
   #:cell
   #:cell-empty-p #:same-cell-p #:cells-equal-for-redraw
   #:x #:y #:highlight-p
   #:cell-x #:cell-y #:cell-color #:cell-highlight-p #:cell-field
   ))

(defpackage #:clones.clim
  (:use #:common-lisp #:clones #:clim)
  (:shadowing-import-from :clim :interactive-stream-p))
