;;; -*- mode: LISP; package: CLONES -*-

(in-package :clones)


(defvar *field-width* 15)
(defvar *field-height* 10)
(defvar *cell-width* 25)
(defvar *cell-height* 24)
(defvar *scores-file-name*
  (merge-pathnames (make-pathname :directory '(:relative ".clones")
                                  :name "clones"
                                  :type "scores")
                   (user-homedir-pathname)))

(defvar *pixmap-theme-dir*
  (merge-pathnames (make-pathname :directory '(:relative "themes"))
                   *load-pathname*)
  "Where the pictures for pixmap themes are located.")

(defparameter *pixmap-image-names*
  '("red-dark" "green-dark" "blue-dark" "red-light" "green-light" "blue-light"
    "empty"))

(defparameter *colors* #(:red :green :blue :red-hl :green-hl :blue-hl :empty))
(defconstant +color-count+ 3)

;;(defconstant +border+ -1)
